# SimpleMediaType< Type, SessionId > Class Template Reference

`#include <mediatype.h>`

Inheritance diagram for SimpleMediaType< Type, SessionId >:

[legend]
Collaboration diagram for SimpleMediaType< Type, SessionId >:
[legend]

## Public Member Functions

| SimpleMediaType ()

## Static Public Member Functions

static const char * | Name ()

### template<const char * Type, unsigned SessionId = 0>
class SimpleMediaType< Type, SessionId >

## Constructor & Destructor Documentation

template<const char * Type, unsigned SessionId = 0>

SimpleMediaType< Type, SessionId >::SimpleMediaType | ( |  | ) | `[inline]`

## Member Function Documentation

template<const char * Type, unsigned SessionId = 0>

static const char* SimpleMediaType< Type, SessionId >::Name | ( |  | ) | `[inline, static]`

The documentation for this class was generated from the following file:

- mediatype.h